[hackers] [xssstate] Adding an example script for slock. || Christoph Lohmann

From: <git_AT_suckless.org>
Date: Sat, 08 Dec 2012 22:43:54 +0100

commit c30b12c8e9d20225f69014d3fe60c0c0c4476773
Author: Christoph Lohmann <20h_AT_r-36.net>
Date: Sat Dec 8 22:41:48 2012 +0100

    Adding an example script for slock.

diff --git a/Makefile b/Makefile
index f4a6be3..e0e10b1 100644
--- a/Makefile
+++ b/Makefile
_AT_@ -30,7 +30,7 @@ clean:
 dist: clean
         _AT_echo creating dist tarball
         _AT_mkdir -p xssstate-${VERSION}
- _AT_cp -R LICENSE Makefile config.mk \
+ _AT_cp -R LICENSE README Makefile config.mk xsidle.sh \
                 xssstate.1 arg.h ${SRC} xssstate-${VERSION}
         _AT_tar -cf xssstate-${VERSION}.tar xssstate-${VERSION}
         _AT_gzip xssstate-${VERSION}.tar
diff --git a/README b/README
new file mode 100644
index 0000000..176c87e
--- /dev/null
+++ b/README
_AT_@ -0,0 +1,34 @@
+Xssstate
+========
+This is a simple utility to get the state of the X screensaver exten‐
+sion. These states include the idle time, the screensaver state and the
+time how long to wait until the screensaver should be active.
+
+The values for the states in X can be changed using xset(1).
+
+Turn off the screensaver:
+
+ % xset s 0
+
+Turn on the screensaver after 60 seconds inactivity:
+
+ % xset s 60
+
+Force the screensaver to be active:
+
+ % xset s blank
+
+For more options, see xset(1).
+
+
+Example script
+--------------
+In xsidle.sh is an example script how to use this for a background ser‐
+vice that will control your screensaver. This can be used to invoke
+slock(1) using following command:
+
+ % xsidle.sh slock &
+
+This should be useful in your $HOME/.xinitrc file.
+
+Have fun!
diff --git a/xsidle.sh b/xsidle.sh
new file mode 100755
index 0000000..35278bc
--- /dev/null
+++ b/xsidle.sh
_AT_@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# Use xset s $time to control the timeout when this will run.
+#
+
+if [ $# -lt 1 ];
+then
+ printf "usage: %s cmd
" "$(basename $0)" 2>&1
+ exit 1
+fi
+cmd="$1"
+
+while true
+do
+ if [ $(xssstate -s) != "disabled" ];
+ then
+ tosleep=$(($(xssstate -t) / 1000))
+ if [ $tosleep -le 0 ];
+ then
+ $cmd
+ else
+ sleep $tosleep
+ fi
+ else
+ sleep 10
+ fi
+done
+
Received on Sat Dec 08 2012 - 22:43:54 CET

This archive was generated by hypermail 2.3.0 : Sat Dec 08 2012 - 22:48:09 CET